phorum安装指南

1. 安装php,推荐使用3.0.12及以上版本的php,但phorum也可以在3.0.6下工作,但却有一些问题. phorum已在3.0.12和4 beta 3下测试. 2. 安装数据库.  mysql 版本 3.22.x或更高版本. (www.tcx.se)  postgresql 6.4.1或更高版本. (www.postgresql.org) 3. 如果你还没有一个数据库,使用”mysqladmin”创建一个:    mysqladmin -uuser -ppassword create mydb  使用root用户(空密码): mysqladmin create mydb  也可以使用mysql:  mysql>create database mydb; 4. 确定此用户对数据库拥有select,insert,update,delete,create,alter 和 drop的权力.   一个mysql 对此用户的授权声明可以像这样:   grant    select, insert, update, create, alter, delete, drop   on    database.*   to    user@localhost   identified by    password; 如果你直接使用root用户,就不需要进行步骤4. 5. 创建表. 使用db目录中的*.sql 来完成此工作. 例如:在mysql中,你可以这样:    > mysql -uuser -ppassword dbname < mysql.sql  使用root用户(空密码): mysql dbname < mysql.sql  例如: mysql mydb < drive:pathmysql.sql   6. 修改 common.php. (如无必要,可不修改,直接跳过此步)   a)修改 $inf_path 指向你放forums.php的目录.   b)修改 $include_path 指向你放included文件的目录.   c)修改 $admindir 指向你放admin文件的目录.   e)设置主要管理脚本的名字($admin_page) (缺省是index.php).   f)配置phorum和你的dbms的接口. 修改这行:    require ./db/{yourdbms}.php;    例子: require ./db/mysql.php;    从db目录中找到你需要的文件.   postgresql 用户注意: 如果你使用postgresql 6.5或更新的版本,使用   postgresql65.php文件. 其他的使用postgresql.php文件. 7. 使webserver对admin/forums目录有写的权力 (只对unix及linux用户)     > cd admin   > chmod 707 forums 8. 使webserver对配置文件有写的权力 (只对unix及linux用户)      > cd [inf_path]   > chmod 707 forums.php   > chmod 706 forums.bak.php 9. 将文件转到web服务器上. 将存放phorum的目录虚拟成web虚拟目录phorum.   注意:如果你是第一次安装,你需要对这些文件更名:    forums.php-dist => forums.php    forums.bak.php-dist => forums.bak.php    header.php-dist => header.php    footer.php-dist => footer.php 10. 进入admin管理页面,使用http://localhost/phorum/admin/index.php  选择phorum setup,再选择database settings,设定好数据库的连接参数  也可以通过修改phorums.php来完成:  // initialize database variables 初始化数据库变量  $dbname=mydb;  // 设定数据库名         $dbuser=root;  // 设定用户  $dbpass=;    // 设定用户密码  $dbserver=localhost;  //设定数据库服务器 11. 选择main回到主页面,选择”new forum”来创建一个forum 12. ok,可以使用了

http://www.bkjia.com/phpjc/532092.htmlwww.bkjia.comtruehttp://www.bkjia.com/phpjc/532092.htmltecharticle1. 安装php,推荐使用3.0.12及以上版本的php,但phorum也可以在3.0.6下工作,但却有一些问题. phorum已在3.0.12和4 beta 3下测试. 2. 安装数据库. mysql 版本…

Posted in 未分类